/* ===== Shared Navigation ===== */

.topnav {
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;
    height: 10vh;

    display: flex;
    align-items: center;
    justify-content: center;

    background: hsl(183,100%,75%);
    border: 1px solid rgba(255,255,255,.5);

    z-index: 1000;
}


.nav-left {
    position: absolute;
    left: 2rem;

    display: flex;
    align-items: center;
}


.nav-right {
    position: absolute;
    right: 2rem;

    display: flex;
    align-items: center;
}


.nav-center {

    display: flex;

    justify-content: center;
    align-items: center;

    gap: 1.5rem;
}


.nav-center a {

    color: white;

    text-decoration: none;

    font-size: 1rem;

    padding: 8px 12px;

    border: 3px solid white;

    border-radius: 4px;

    transition: .2s;

}


.nav-center a:hover {

    background: white;

    color: black;

}


/* Mobile */

.menu-icon {

    display: none;

    background: none;

    border: none;

    color: white;

    font-size: 28px;

    cursor: pointer;

}


@media(max-width:700px){


    .menu-icon {

        display:block;

    }


    .nav-center {

        position:absolute;

        top:10vh;

        left:0;

        width:100%;


        display:none;

        flex-direction:column;

        align-items:center;


        background:hsl(183,100%,75%);

        padding:1rem 0;

    }


    .nav-center.show {

        display:flex;

    }


}